%global momorel 1
%global scim_ver 1.4.5
%global scim_major_version 1.4.0
%global md5sum_src0 781dc96ebce31e2949ecb0c3c1c769f6

Summary: FCITX Input Method Engine for SCIM
Name: scim-fcitx
Version: 3.1.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.scim-im.org/projects/imengines/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/scim/%{name}.%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: scim >= %{scim_ver}
BuildRequires: scim-devel >= %{scim_ver}

%description
scim-fcitx is a port of the fcitx Chinese input method for the SCIM input
method platform.  It provides Wubi, Erbi, Cangjie, and Pinyin styles of input.

%prep
%setup -q -n fcitx

%build
%configure --disable-static

# make -j2 doesn't work (3.1.1-1m)
# %%make
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS
%{_bindir}/createPYMB
%{_bindir}/mb2txt
%{_bindir}/txt2mb
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/fcitx.so
%{_datadir}/scim/fcitx
%{_datadir}/scim/icons/fcitx

%changelog
* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.1-1m)
- initial package for Momonga Linux
